Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Admin Class Reference

Base class for the ConsumerAdmin and SupplierAdmin. More...

`#include <Admin.h>`

Inheritance diagram for TAO_Notify_Admin:

[legend]
Collaboration diagram for TAO_Notify_Admin:

[legend]
List of all members.

## Public Types
typedef CosNotifyChannelAdmin::AdminIDSeq | SEQ
typedef CosNotifyChannelAdmin::AdminIDSeq_var | SEQ_VAR
## Public Methods
| TAO_Notify_Admin (void)
| Constuctor.
| ~TAO_Notify_Admin ()
| Destructor.
void | init (TAO_Notify_EventChannel *ec ACE_ENV_ARG_DECL)
| Init.
void | insert (TAO_Notify_Proxy *proxy ACE_ENV_ARG_DECL)
| Insert the proxy in the <proxy_container_>.
void | remove (TAO_Notify_Proxy *proxy ACE_ENV_ARG_DECL)
| Remove type from container_.
TAO_Notify_FilterAdmin & | filter_admin (void)
| Access Admin FilterAdmin.
void | filter_operator (CosNotifyChannelAdmin::InterFilterGroupOperator filter_operator)
| Set Filter operator.
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator (void)
| Access Filter operator.
void | subscribed_types (TAO_Notify_EventTypeSeq &subscribed_types ACE_ENV_ARG_DECL)
| Obtain the Admin's subscribed types.
virtual int | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown.
## Protected Types
typedef TAO_Notify_Container_T< TAO_Notify_Proxy > | TAO_Notify_Proxy_Container
## Protected Attributes
TAO_Notify_EventChannel * | ec_
| = Data Members The EventChannel.
TAO_Notify_Proxy_Container * | proxy_container_
| The Proxy Container.
TAO_Notify_EventTypeSeq | subscribed_types_
| The types that we've subscribed our proxy objects with the event manager.
TAO_Notify_FilterAdmin | filter_admin_
| Filter Administration.
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator_
| Filter operator.
## Friends
class | TAO_Notify_Builder

## Detailed Description

Base class for the ConsumerAdmin and SupplierAdmin.

## Member Typedef Documentation

typedef CosNotifyChannelAdmin::AdminIDSeq TAO_Notify_Admin::SEQ

typedef CosNotifyChannelAdmin::AdminIDSeq_var TAO_Notify_Admin::SEQ_VAR

typedef TAO_Notify_Container_T<TAO_Notify_Proxy> TAO_Notify_Admin::TAO_Notify_Proxy_Container`[protected]`

## Constructor & Destructor Documentation

TAO_Notify_Admin::TAO_Notify_Admin | ( | void |  | ) |

| Constuctor.

TAO_Notify_Admin::~TAO_Notify_Admin | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_FilterAdmin& TAO_Notify_Admin::filter_admin | ( | void |  | ) |

| Access Admin FilterAdmin.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_Admin::filter_operator | ( | void |  | ) |

| Access Filter operator.

void TAO_Notify_Admin::filter_operator | ( | CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator | ) |

| Set Filter operator.

void TAO_Notify_Admin::init | ( | TAO_Notify_EventChannel *ec | ACE_ENV_ARG_DECL | ) |

| Init. Reimplemented in TAO_Notify_ConsumerAdmin, and TAO_Notify_SupplierAdmin.

void TAO_Notify_Admin::insert | ( | TAO_Notify_Proxy *proxy | ACE_ENV_ARG_DECL | ) |

| Insert the proxy in the <proxy_container_>.

void TAO_Notify_Admin::remove | ( | TAO_Notify_Proxy *proxy | ACE_ENV_ARG_DECL | ) |

| Remove type from container_.

int TAO_Notify_Admin::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown. Reimplemented from TAO_Notify_Object.

void TAO_Notify_Admin::subscribed_types | ( | TAO_Notify_EventTypeSeq &subscribed_types | ACE_ENV_ARG_DECL | ) |

| Obtain the Admin's subscribed types.

## Friends And Related Function Documentation

friend class TAO_Notify_Builder`[friend]`

| Reimplemented from TAO_Notify_Object.

## Member Data Documentation

TAO_Notify_EventChannel* TAO_Notify_Admin::ec_`[protected]`

| = Data Members The EventChannel.

TAO_Notify_FilterAdmin TAO_Notify_Admin::filter_admin_`[protected]`

| Filter Administration.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_Admin::filter_operator_`[protected]`

| Filter operator.

TAO_Notify_Proxy_Container* TAO_Notify_Admin::proxy_container_`[protected]`

| The Proxy Container.

TAO_Notify_EventTypeSeq TAO_Notify_Admin::subscribed_types_`[protected]`

| The types that we've subscribed our proxy objects with the event manager.

The documentation for this class was generated from the following files:

- Admin.h
- Admin.cpp